# H245_TerminalCapabilitySet Class Reference

`#include <h245.h>`

Inheritance diagram for H245_TerminalCapabilitySet:

List of all members.

## Public Types

enum | OptionalFields { e_multiplexCapability, e_capabilityTable, e_capabilityDescriptors, e_genericInformation }

## Public Member Functions

| H245_TerminalCapabilitySet (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_SequenceNumber | m_sequenceNumber
PASN_ObjectId | m_protocolIdentifier
H245_MultiplexCapability | m_multiplexCapability
H245_ArrayOf_CapabilityTableEntry | m_capabilityTable
H245_ArrayOf_CapabilityDescriptor | m_capabilityDescriptors
H245_ArrayOf_GenericInformation | m_genericInformation

## Member Enumeration Documentation

enum H245_TerminalCapabilitySet::OptionalFields

Enumerator:

  e_multiplexCapability |
  e_capabilityTable |
  e_capabilityDescriptors |
  e_genericInformation |

## Constructor & Destructor Documentation

H245_TerminalCapabilitySet::H245_TerminalCapabilitySet | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_TerminalCapabilitySet::GetDataLength | ( |  | ) | const

PBoolean H245_TerminalCapabilitySet::Decode | ( | PASN_Stream & | strm | ) |

void H245_TerminalCapabilitySet::Encode | ( | PASN_Stream & | strm | ) | const

void H245_TerminalCapabilitySet::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_TerminalCapabilitySet::Compare | ( | const PObject & | obj | ) | const

PObject* H245_TerminalCapabilitySet::Clone | ( |  | ) | const

## Member Data Documentation

H245_SequenceNumber H245_TerminalCapabilitySet::m_sequenceNumber

PASN_ObjectId H245_TerminalCapabilitySet::m_protocolIdentifier

H245_MultiplexCapability H245_TerminalCapabilitySet::m_multiplexCapability

H245_ArrayOf_CapabilityTableEntry H245_TerminalCapabilitySet::m_capabilityTable

H245_ArrayOf_CapabilityDescriptor H245_TerminalCapabilitySet::m_capabilityDescriptors

H245_ArrayOf_GenericInformation H245_TerminalCapabilitySet::m_genericInformation

The documentation for this class was generated from the following file:

- h245.h